apiVersion: v1
kind: Service
metadata:
  labels:
    app: participation-service
    app.kubernetes.io/managed-by: kustomize
    app.kubernetes.io/part-of: kt-event-marketing
    environment: dev
  name: participation-service
  namespace: kt-event-marketing
spec:
  clusterIP: 10.0.130.146
  clusterIPs:
  - 10.0.130.146
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: http
    port: 80
    protocol: TCP
    targetPort: 8084
  selector:
    app: participation-service
  sessionAffinity: None
  type: ClusterIP